listdisputesadjustments.md
List Dispute Adjustment Transfers
List the adjustment Transfers for a Dispute. Depending on the stage of the Dispute, different adjustment Transfer subtypes can be applied.
There are four available subtypes for adjustment Transfers in Disputes:
- PLATFORM_CREDIT
- MERCHANT_DEBIT
- MERCHANT_CREDIT
- PLATFORM_DEBIT
Endpoint: GET /disputes/{dispute_id}/adjustment_transfers
Security: BasicAuth
Path parameters:
dispute_id(string, required) ID of the Dispute resource. Example: "DIgDv9764vkkEVu1suZNCDbR"
Header parameters:
Finix-Version(string) Specify the API version of your request. For more details, see Versioning. Example: "2022-02-01"
Query parameters:
after_cursor(string) Return every resource created after the cursor value.before_cursor(string) Return every resource created before the cursor value.created_at.gte(string) Filter where created_at is after the given date. Example: "2022-09-27T11:21:23"created_at.lte(string) Filter where created_at is before the given date. Example: "2026-09-27T11:21:23"limit(integer) The numbers of items to return. Example: 10tags.key(string) Filter by the tag's key. For more information, see Tags. Example: "card_type"tags.value(string) Filter by the tag's value. For more information, see Tags. Example: "business_card"updated_at.gte(string) Filter where updated_at is after the given date. Example: "2022-09-27T11:21:23"updated_at.lte(string) Filter where updated_at is before the given date. Example: "2026-09-27T11:21:23"
Response 200 fields (application/json):
page(object) Details the page that's returned.page.limit(integer) The number of entries to return.page.next_cursor(string,null) The cursor to use for the next page of results._embedded(object)_embedded.transferes(array)_embedded.transferes.id(string) The ID of the resource._embedded.transferes.created_at(string) Timestamp of when the object was created._embedded.transferes.updated_at(string) Timestamp of when the object was last updated._embedded.transferes.additional_buyer_charges(object,null) Details about any Buyer Charges included in the Transfer. The buyer charges are mutually exclusive._embedded.transferes.additional_buyer_charges.convenience_amount(integer,null) A convenience fee to charge the buyer for the transaction. This object property is mutually exclusive._embedded.transferes.additional_buyer_charges.rent_surcharge_amount(integer,null) A rent surcharge to charge the buyer for the transaction. This object property is mutually exclusive._embedded.transferes.additional_buyer_charges.surcharge_amount(integer,null) A surcharge amount to charge the buyer for the transaction. This object property is mutually exclusive._embedded.transferes.additional_healthcare_data(object,null)_embedded.transferes.additional_healthcare_data.clinic_amount(integer,null) A clinic or other qualified medical amount for the transaction._embedded.transferes.additional_healthcare_data.dental_amount(integer,null) The dental amount for the transaction._embedded.transferes.additional_healthcare_data.prescription_amount(integer,null) The prescription/RX amount for the transaction._embedded.transferes.additional_healthcare_data.vision_amount(integer,null) The vision/optical amount for the transaction._embedded.transferes.additional_purchase_data(object,null) Additional information about the purchase used for Level 2 and Level 3 Processing. Please note that Visa is ending its Level 2 offering in April 2026._embedded.transferes.additional_purchase_data.customer_reference_number(string) The customer reference for the purchase (max 17 characters). For Visa, this field no longer qualifies for lower interchange after April 17, 2026. Include item_data for Level 3 processing._embedded.transferes.additional_purchase_data.customs_duty_amount(integer) The duty in cents on the total purchase amount for the order._embedded.transferes.additional_purchase_data.destination_country_code(string) The ISO country code of the order destination._embedded.transferes.additional_purchase_data.destination_postal_code(string) The postal code of the order destination (10 characters)._embedded.transferes.additional_purchase_data.discount_amount(integer) The amount in cents of the discount for the order. You must include this field to qualify for Level 3 interchange benefits. Even if the value is (0), you should pass the field to qualify for Level 3._embedded.transferes.additional_purchase_data.invoice_reference_number(string) The order's invoice number (max 15 characters)._embedded.transferes.additional_purchase_data.order_date(object)_embedded.transferes.additional_purchase_data.order_date.day(integer) Day of purchase (between 1 and 31)._embedded.transferes.additional_purchase_data.order_date.month(integer) Month of purchase (between 1 and 12)._embedded.transferes.additional_purchase_data.order_date.year(integer) Year of purchase (4-digit)._embedded.transferes.additional_purchase_data.sales_tax(integer) Total aggregate tax amount in cents for the entire purchase. Field is automatically calculated if you pass in the itemized tax amounts._embedded.transferes.additional_purchase_data.sales_tax_finix_generated(integer,null) The sales tax amount in cents Finix calculated from the item_data line items._embedded.transferes.additional_purchase_data.ship_from_postal_code(string) The postal code from where order is shipped (10 characters)._embedded.transferes.additional_purchase_data.shipping_amount(integer) The shipping cost in cents for the order._embedded.transferes.additional_purchase_data.tax_exempt(boolean) For tax exempt purchases set to True._embedded.transferes.additional_purchase_data.item_data(array) Additional information about the transaction. Used for Level 2 and Level 3 Processing._embedded.transferes.additional_purchase_data.item_data.amount_excluding_sales_tax(integer) Total cost of the line item in cents, excluding tax._embedded.transferes.additional_purchase_data.item_data.amount_including_sales_tax(integer) Total cost of the line item in cents, including tax._embedded.transferes.additional_purchase_data.item_data.commodity_code(string) A commodity code is a numeric code representing a particular product or service as defined by the National Institute of Governmental Purchasing._embedded.transferes.additional_purchase_data.item_data.cost_per_unit(integer) The price in cents, excluding tax, of one unit of the item purchased._embedded.transferes.additional_purchase_data.item_data.item_description(string) Required when item_data is supplied (max 25 characters)._embedded.transferes.additional_purchase_data.item_data.item_discount_amount(integer) The item discount amount in cents._embedded.transferes.additional_purchase_data.item_data.merchant_product_code(string) Merchant defined product code (max 12 characters)._embedded.transferes.additional_purchase_data.item_data.quantity(number) The number of items purchased. Must be greater than 0._embedded.transferes.additional_purchase_data.item_data.unit_of_measure(string) The unit of measure of the purchased item (max 3 characters)._embedded.transferes.address_verification(string,null) Details the results of the address verification checks. Enum: "POSTAL_CODE_AND_STREET_MATCH", "STREET_MATCH", "POSTAL_CODE_MATCH", "NO_ADDRESS", "NO_MATCH", "NOT_SUPPORTED", "UNKNOWN"_embedded.transferes.amount(integer) The total amount that will be debited in cents (e.g. 100 cents to debit $1.00). Example: 5000_embedded.transferes.amount_requested(integer) The amount that was requested to get debited from the source when the transaction was created, in cents (e.g., 100 = $1.00). Example: 100_embedded.transferes.application(string) ID of the Application associated with the resource._embedded.transferes.bank_return_details(object,null) Details about a transfer that was returned and was unable to be processed. Only present when state is RETURNED_embedded.transferes.bank_return_details.reason_code(string) Return response code from the bank._embedded.transferes.bank_return_details.reason_message(string) Detailed message explaining reason for the return._embedded.transferes.bank_return_details.reason_title(string) Short message categorizing reason for the return._embedded.transferes.card_present_details(object,null) Details needed to process card present transactions._embedded.transferes.card_present_details.approval_code(string,null) Unique ID used to identify the approval of the Transfer._embedded.transferes.card_present_details.brand(string,null) The brand of the card saved in the Payment Instrument._embedded.transferes.card_present_details.emv_data(object,null) Encrypted card data used to process the transaction._embedded.transferes.card_present_details.emv_data.application_identifier(string) ID of the application used in the transaction._embedded.transferes.card_present_details.emv_data.application_label(string) EMV application label._embedded.transferes.card_present_details.emv_data.application_preferred_name(string,null) EMV application label with formatting (if provided)._embedded.transferes.card_present_details.emv_data.application_transaction_counter(string) Transaction number for the EMV application._embedded.transferes.card_present_details.emv_data.cryptogram(string) Cryptogram returned by the card._embedded.transferes.card_present_details.emv_data.issuer_code_table_index(string,null) The alphabet code table used by the EMV application (if provided)._embedded.transferes.card_present_details.emv_data.pin_verified(boolean) Whether the cardholder's PIN number was verified._embedded.transferes.card_present_details.emv_data.tags(object,null) Include up to 50 key: value pairs to annotate requests with custom metadata._embedded.transferes.card_present_details.entry_mode(string,null) Details of the card payment method used to process the transaction._embedded.transferes.card_present_details.masked_account_number(string,null) Last four digits of the bank account number._embedded.transferes.card_present_details.name(string,null) The name of the bank account or card owner._embedded.transferes.card_present_details.payment_type(string) The type of Payment Instrument used in the transaction._embedded.transferes.currency(string) ISO 4217 3-letter currency code. Enum: "CAD", "USD"_embedded.transferes.created_via(string) Gives more information about the product flow that was used to create the resource._embedded.transferes.destination(string,null) ID of the Payment Instrument where funds will be sent._embedded.transferes.device(string) The ID of the Device resource the Transfer was created under._embedded.transferes.externally_funded(string) Details if the Transfer will be settled externally by card processors._embedded.transferes.failure_code(string,null) The code of the failure so the decline can be handled programmatically._embedded.transferes.failure_message(string,null) A human-readable description of why the transaction was declined._embedded.transferes.fee(integer) The minimum amount of the Transfer you'd like to collect as your fee in cents. Defaults to zero._embedded.transferes.fee_profile(string) The ID of the Fee Profile that will be used for calculating fees for this transfer._embedded.transferes.funds_flow_type(string,null) The type of disbursement to perform. Defaults to GENERAL_PAYOUT._embedded.transferes.idempotency_id(string,null) Pass any randomly generated or internal ID to identify Transfers, Authorizations, or refund requests._embedded.transferes.ip_address_details(object,null) Always returns null._embedded.transferes.merchant(string) The ID of the Merchant resource the Transfer was created under. Example: "MUxxxxxxxxxxxxxxxxxxxxxxx"_embedded.transferes.merchant_identity(string) The ID of Identity resource used by the Merchant the Transfer was created under. Example: "IDxxxxxxxxxxxxxxxxxxxxxxxx"_embedded.transferes.network_details(object) Contains network-specific fields used by issuers to identify transactions._embedded.transferes.network_details.brand(string) Card brand associated with the saved payment instrument. Example: "VISA"_embedded.transferes.network_details.authorization_code(string) Code returned by the issuing bank when a transaction is authorized. Example: 840735_embedded.transferes.network_details.acquirer_reference_number(string,null) Unique identifier banks use to trace chargebacks or refunds. Available only for Mastercard transactions; otherwise returns null. Example: 521600805857_embedded.transferes.operation_key(string,null) Details the operation that's performed in the transaction._embedded.transferes.parent_transfer(string,null) ID of the original parent Transfer. Only present when type is REVERSAL._embedded.transferes.parent_transfer_trace_id(string,null) The trace_id of the original parent Transfer. Only present when type is REVERSAL._embedded.transferes.pull_transfer_id(string,null) The ID of the corresponding pull Transfer linked in a ME_TO_ME transaction._embedded.transferes.raw(any) Raw response from the processor._embedded.transferes.ready_to_settle_at(string,null) The timestamp indicating when the Transfer is ready to be settled._embedded.transferes.receipt_last_printed_at(string,null) Timestamp when the receipt was last printed._embedded.transferes.security_code_verification(string) Details the results of the Card Verification Code check. Enum: "MATCHED", "UNKNOWN", "UNMATCHED"_embedded.transferes.source(string,null) The ID of the Payment Instrument that will be debited and performing the Transfer._embedded.transferes.split_transfers(array) Array containing the resource IDs of the Split Transfers generated from the Transfer._embedded.transferes.state(string) The status of the Transfer. Enum: "CANCELED", "PENDING", "FAILED", "SUCCEEDED", "UNKNOWN", "RETURNED"_embedded.transferes.statement_descriptor(string,null) The description of the Merchant that appears on the buyer's bank or card statement._embedded.transferes.subtype(string) Additional information describing the payment_type._embedded.transferes.supplemental_fee(string,null) Amount in cents for which an additional fee will be created in addition to any fees created from the assigned fee profile._embedded.transferes.tags(object,null) Include up to 50 key: value pairs to annotate requests with custom metadata._embedded.transferes.tip_amount(integer,null) The tip amount included in the total amount._embedded.transferes.trace_id(string,null) Trace ID of the Transfer._embedded.transferes.type(string) Type of Transfer. Enum: "DEBIT", "CREDIT", "REVERSAL", "ADJUSTMENT", "DISPUTE", "RESERVE", "SETTLEMENT", "UNKNOWN"_embedded.transferes.third_party_details(object,null) Details about the third-party processor associated with the Transfer._embedded.transferes.third_party_details.external_trace_id(string,null) The trace ID returned by the third-party processor used to identify the Transfer._embedded.transferes.third_party_details.type(string,null) The name of the third-party processor associated with the Transfer. Enum: "CYBERSOURCE"_embedded.transferes._links(object)_embedded.transferes._links.application(object) Link to the Application the request was made under._embedded.transferes._links.application.href(string)_embedded.transferes._links.destination(object) Link to the Payment Instrument where funds are getting sent._embedded.transferes._links.destination.href(string)_embedded.transferes._links.device(object) Link to the Device the request was made under._embedded.transferes._links.device.href(string)_embedded.transferes._links.disputes(object) Link to the Dispute the request was made under._embedded.transferes._links.disputes.href(string)_embedded.transferes._links.fee_profile(object) Link to the fee_profile the request was made under._embedded.transferes._links.fee_profile.href(string)_embedded.transferes._links.fees(object) Link to the fees the request is associated with._embedded.transferes._links.fees.href(string)_embedded.transferes._links.merchant_identity(object) Link to the Identity the Merchant was created under and the Transfer was submitted with._embedded.transferes._links.merchant_identity.href(string)_embedded.transferes._links.payment_instruments(object) Link to the Payment Instrument associated with the Transfer._embedded.transferes._links.payment_instruments.href(string)_embedded.transferes._links.disputed_transfer(object) Link to the Transfer the Dispute is about._embedded.transferes._links.disputed_transfer.href(string)_embedded.transferes._links.parent(object) Link to the original resource that was used in the request._embedded.transferes._links.parent.href(string)_embedded.transferes._links.reversals(object) Link to the reversals associated with the Transfer._embedded.transferes._links.reversals.href(string)_embedded.transferes._links.self(object) Link to the resource that was used in the request._embedded.transferes._links.self.href(string)_embedded.transferes._links.source(object) Link to the Payment Instrument the Transfer was created under._embedded.transferes._links.source.href(string)_links(object)_links.self(object) Link to the resource that was used in the request._links.self.href(string)_links.next(object) Link to the next page of entries._links.next.href(string)
Response 401 fields (application/json):
total(integer, required) Total number of errors returned._embedded(object, required) Container for embedded error objects._embedded.errors(array) List of individual error objects._embedded.errors.code(string) The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request._embedded.errors.logref(string) A log reference identifier for the error, useful for debugging and support purposes._embedded.errors.message(string) A human-friendly error message._embedded.errors._links(object) Links related to this error._embedded.errors._links.self(object) Link to the resource related to the error._embedded.errors._links.self.href(string) URL of the related resource.
Response 403 fields (application/json):
total(integer, required) Total number of errors returned._embedded(object, required) Container for embedded error objects._embedded.errors(array) List of individual error objects._embedded.errors.code(string) The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request._embedded.errors.logref(string) A log reference identifier for the error, useful for debugging and support purposes._embedded.errors.message(string) A human-friendly error message._embedded.errors._links(object) Links related to this error._embedded.errors._links.self(object) Link to the resource related to the error._embedded.errors._links.self.href(string) URL of the related resource.
Response 406 fields (application/json):
total(integer, required) Total number of errors returned._embedded(object, required) Container for embedded error objects._embedded.errors(array) List of individual error objects._embedded.errors.code(string) The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request._embedded.errors.logref(string) A log reference identifier for the error, useful for debugging and support purposes._embedded.errors.message(string) A human-friendly error message._embedded.errors._links(object) Links related to this error._embedded.errors._links.self(object) Link to the resource related to the error._embedded.errors._links.self.href(string) URL of the related resource.
Response 422 fields (application/json):
total(integer, required) Total number of errors returned._embedded(object, required) Container for embedded error objects._embedded.errors(array) List of individual error objects._embedded.errors.code(string) The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request._embedded.errors.logref(string) A log reference identifier for the error, useful for debugging and support purposes._embedded.errors.message(string) A human-friendly error message._embedded.errors._links(object) Links related to this error._embedded.errors._links.self(object) Link to the resource related to the error._embedded.errors._links.self.href(string) URL of the related resource.